Airwallex logo

Transactions

Copy for LLMView as Markdown

You can view transactions processed against individual cards or for all cards created within your organisation.

Endpoints
GET /api/v1/issuing/transactions/{id}
GET /api/v1/issuing/transactions

Retrieve a Transaction

GET /api/v1/issuing/transactions/{id}

Retrieve single transaction.

Path parameters
idrequiredstring

Unique Identifier for a transaction.

Response body - 200 OK
acquiring_institution_identifierstring

Unique Identifier for the acquiring institution.

auth_codestring

Authorization Code.

billing_amountnumber

Billing amount.

billing_currencystring

Billing Currency.

card_idstring

Unique Identifier for the card.

card_nicknamestring

The nickname of the card used.

card_transaction_dataobject

Card transaction identifiers associated with this transaction. Omitted for transactions created before January 2025.

card_transaction_data.card_transaction_event_idstring

Identifier of the individual card transaction event within the lifecycle. The closest equivalent of the transaction_id field.

card_transaction_data.card_transaction_idstring

Identifier of the card transaction. Retrieve its details via GET /api/v1/issuing/card_transactions/{id}.

card_transaction_data.card_transaction_lifecycle_idstring

Identifier that links related transactions belonging to the same card payment — such as authorizations, reversals, captures, and refunds — under a single lifecycle.

client_datastring

Client data stored against the card record.

digital_wallet_token_idstring

Unique Identifier for the digital token.

failure_reasonstring

The reason why this transaction failed (if status is FAILED). Can be one of: ACCOUNT_INVALID, CARD_CLOSED, CARD_INACTIVE, CARD_INVALID, CARD_LOST_STOLEN, CARD_NOT_ACTIVATED, CARDHOLDER_VERIFICATION_FAILED, CURRENCY_NOT_ALLOWED, CVV_INVALID, EXPIRY_MISSING, INSUFFICIENT_FUNDS, INTERNAL_ERROR, INVALID_EXPIRY_DATE, LIMIT_EXCEEDED, MERCHANT_CATEGORY_NOT_ALLOWED, NOT_SUPPORTED, PIN_INVALID, PIN_RETRIES_EXCEEDED, REMOTE_AUTH_DECLINED, RESTRICTED_COUNTRY, SUSPECTED_FRAUD, TRANSACTION_BLOCKED, TRANSACTION_BLOCKED_AT_TERMINAL, CARD_REISSUED_TO_NEW_NUMBER, TRANSACTION_USAGE_DISABLED, MERCHANT_COUNTRY_NOT_ALLOWED, MERCHANT_BRAND_NOT_ALLOWED, MERCHANT_BRAND_CATEGORY_NOT_ALLOWED, MERCHANT_BRAND_SUBCATEGORY_NOT_ALLOWED. Learn more about transaction failure reasonsDocs.

fee_detailsarray

List of fee details associated with the transaction.

fee_details.amountnumber

Fee amount.

fee_details.currencystring

Currency in which the fee is charged (3-letter ISO-4217 code).

fee_details.typestring

Fee type. One of: ATM_ACCESS_FEE.

lifecycle_idstring

A identifier that links multiple related transactions belonging to the same card payment—such as authorizations, reversals, captures, and refunds—under a single transaction lifecycle. Note: this field will be null for transactions created before January 2025.

masked_card_numberstring

Masked card number.

matched_authorizationsarray

List of authorization ids for matching captures and reversals to their corresponding authorization. This is only available for authorizations made after 1st May 2022.

merchantobject

merchant of the card transaction.

merchant.additional_merchant_infoobject

Merchant additional info.

merchant.additional_merchant_info.merchant_categorystring

Merchant category.

merchant.additional_merchant_info.merchant_full_namestring

Merchant full name.

merchant.additional_merchant_info.merchant_logo_urlstring

Merchant logo url.

merchant.additional_merchant_info.merchant_sub_categorystring

Merchant sub category.

merchant.category_codestring

Merchant category code.

merchant.citystring

Merchant city.

merchant.countrystring

Merchant country. Note: this field might prefixed with state name for some countries, e.g. TXUSA, you should parse the last 3 characters for country code.

merchant.identifierstring

Unique identifier for the merchant.

merchant.namestring

Merchant name.

merchant.postcodestring

Merchant postcode (only for merchants within the US, Canada or Brazil).

merchant.statestring

Merchant state (only for merchants within the US, Canada or Brazil).

network_transaction_idstring

The transaction unique identifier from VISA network.

posted_datestring

Date transaction posted .

retrieval_refstring

Transaction retrieval reference number. Data element 37 of an financial transaction message (https://en.wikipedia.org/wiki/ISO_8583).

risk_detailsobject

Risk details provides a comprehensive overview of the risk evaluation for a card transaction, including identified risk factors, actions taken by the risk engine, and the outcome of the 3D Secure authentication process. It encapsulates key elements that assess the potential threat level, safeguard the transaction, and ensure the cardholder’s identity is verified. N.b. this information will only be available for transactions on or after 1st Sept 2024.

risk_details.risk_actions_performedarray

Risk actions performed for a card transaction, triggered by rules in our risk engine.

risk_details.risk_factorsarray

Risk factors are conditions or variables that increase the likelihood of fraud or financial irregularities, assessed by our risk management system to determine the threat level of a transaction.

risk_details.three_dsecure_outcomestring

The outcome of a 3D Secure authentication process, which verifies the identity of a cardholder during an online purchase. Can be one of: ATTEMPTED, AUTHENTICATED, FAILED, NOT_APPLICABLE, NOT_REQUESTED. Learn more about 3D SecureDocs.

statusstring

The status of this transaction. Can be one of: APPROVED, CLEARED, EXPIRED, FAILED, PENDING, REVERSED.

transaction_amountnumber

Transaction amount.

transaction_currencystring

Transaction currency.

transaction_datestring

Transaction date.

transaction_idstring

An unique id for this authorization, a uuid.

transaction_typestring

Transaction type - one of AUTHORIZATION, CLEARING, REFUND, REVERSAL, ORIGINAL_CREDIT.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/transactions/{id}
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/issuing/transactions/transaction_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "acquiring_institution_identifier": "123456",
3 "auth_code": "000001",
4 "billing_amount": 100,
5 "billing_currency": "USD",
6 "card_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
7 "card_nickname": "<string>",
8 "client_data": "Some client data",
9 "digital_wallet_token_id": "2af871b8-466e-465e-a8de-eeaac9f82392",
10 "failure_reason": "INSUFFICIENT_FUNDS",
11 "fee_details": [
12 {
13 "amount": 500,
14 "currency": "USD",
15 "type": "ATM_ACCESS_FEE"
16 }
17 ],
18 "lifecycle_id": "95ede192-3a86-461e-96d9-f51b55aae79e",
19 "masked_card_number": "************4242",
20 "matched_authorizations": [
21 "6c2dc266-09ad-4235-b61a-767c7cd6d6ea"
22 ],
23 "merchant": {
24 "additional_merchant_info": {
25 "merchant_category": "Professional Services",
26 "merchant_full_name": "Meta",
27 "merchant_logo_url": "https://example.com/merchant-logo.png",
28 "merchant_sub_category": "Advertising and Marketing"
29 },
30 "category_code": "4829",
31 "city": "San Francisco",
32 "country": "USA",
33 "identifier": "012345678910123",
34 "name": "Merchant A",
35 "postcode": "94111",
36 "state": "CA"
37 },
38 "network_transaction_id": "3951729271768745",
39 "posted_date": "2018-03-22T16:08:02+00:00",
40 "retrieval_ref": "909916088001",
41 "risk_details": {
42 "risk_actions_performed": [
43 "TRANSACTION_BLOCKED"
44 ],
45 "risk_factors": [
46 "Suspicious transaction velocity"
47 ],
48 "three_dsecure_outcome": "AUTHENTICATED"
49 },
50 "status": "APPROVED",
51 "transaction_amount": 100,
52 "transaction_currency": "USD",
53 "transaction_date": "2018-03-21T16:08:02+00:00",
54 "transaction_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
55 "transaction_type": "REFUND"
56}
Was this section helpful?

List all Transactions

GET /api/v1/issuing/transactions

Retrieve all transactions associated with an account or for a specific card. Will default to a 30 day period unless both to and from created_at request fields are populated.

Query parameters
billing_currencystring

Currency in which the transaction was billed, in 3-letter ISO-4217 code.

card_idstring

Unique Identifier for the card.

digital_wallet_token_idstring

Unique Identifier for the digital token.

from_created_atstring

start of Transaction Date in ISO8601 format (inclusive).

lifecycle_idstring

Unique Identifier for the lifecycle.

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page.

retrieval_refstring

Retrieval reference number.

to_created_atstring

end of Transaction Date in ISO8601 format (inclusive).

transaction_typestring

Transaction Type - one of AUTHORIZATION, CLEARING, REFUND, REVERSAL, ORIGINAL_CREDIT. See Issuing Purchase LifecycleDocs for transaction type definitions.

  • AUTHORIZATION - Funds reserved due to card usage
  • CLEARING - Deducting purchase amount from account balance
  • REFUND - Refunding the purchase amount back to account balance
  • REVERSAL - Reversing an authorization
  • ORIGINAL_CREDIT - Merchant initiated credit transactions.
Response body - 200 OK
has_moreboolean
itemsarray
items.acquiring_institution_identifierstring

Unique Identifier for the acquiring institution.

items.auth_codestring

Authorization Code.

items.billing_amountnumber

Billing amount.

items.billing_currencystring

Billing Currency.

items.card_idstring

Unique Identifier for the card.

items.card_nicknamestring

The nickname of the card used.

items.card_transaction_dataobject

Card transaction identifiers associated with this transaction. Omitted for transactions created before January 2025.

items.card_transaction_data.card_transaction_event_idstring

Identifier of the individual card transaction event within the lifecycle. The closest equivalent of the transaction_id field.

items.card_transaction_data.card_transaction_idstring

Identifier of the card transaction. Retrieve its details via GET /api/v1/issuing/card_transactions/{id}.

items.card_transaction_data.card_transaction_lifecycle_idstring

Identifier that links related transactions belonging to the same card payment — such as authorizations, reversals, captures, and refunds — under a single lifecycle.

items.client_datastring

Client data stored against the card record.

items.digital_wallet_token_idstring

Unique Identifier for the digital token.

items.failure_reasonstring

The reason why this transaction failed (if status is FAILED). Can be one of: ACCOUNT_INVALID, CARD_CLOSED, CARD_INACTIVE, CARD_INVALID, CARD_LOST_STOLEN, CARD_NOT_ACTIVATED, CARDHOLDER_VERIFICATION_FAILED, CURRENCY_NOT_ALLOWED, CVV_INVALID, EXPIRY_MISSING, INSUFFICIENT_FUNDS, INTERNAL_ERROR, INVALID_EXPIRY_DATE, LIMIT_EXCEEDED, MERCHANT_CATEGORY_NOT_ALLOWED, NOT_SUPPORTED, PIN_INVALID, PIN_RETRIES_EXCEEDED, REMOTE_AUTH_DECLINED, RESTRICTED_COUNTRY, SUSPECTED_FRAUD, TRANSACTION_BLOCKED, TRANSACTION_BLOCKED_AT_TERMINAL, CARD_REISSUED_TO_NEW_NUMBER, TRANSACTION_USAGE_DISABLED, MERCHANT_COUNTRY_NOT_ALLOWED, MERCHANT_BRAND_NOT_ALLOWED, MERCHANT_BRAND_CATEGORY_NOT_ALLOWED, MERCHANT_BRAND_SUBCATEGORY_NOT_ALLOWED. Learn more about transaction failure reasonsDocs.

items.fee_detailsarray

List of fee details associated with the transaction.

items.fee_details.amountnumber

Fee amount.

items.fee_details.currencystring

Currency in which the fee is charged (3-letter ISO-4217 code).

items.fee_details.typestring

Fee type. One of: ATM_ACCESS_FEE.

items.lifecycle_idstring

A identifier that links multiple related transactions belonging to the same card payment—such as authorizations, reversals, captures, and refunds—under a single transaction lifecycle. Note: this field will be null for transactions created before January 2025.

items.masked_card_numberstring

Masked card number.

items.matched_authorizationsarray

List of authorization ids for matching captures and reversals to their corresponding authorization. This is only available for authorizations made after 1st May 2022.

items.merchantobject

merchant of the card transaction.

items.merchant.additional_merchant_infoobject

Merchant additional info.

items.merchant.additional_merchant_info.merchant_categorystring

Merchant category.

items.merchant.additional_merchant_info.merchant_full_namestring

Merchant full name.

items.merchant.additional_merchant_info.merchant_logo_urlstring

Merchant logo url.

items.merchant.additional_merchant_info.merchant_sub_categorystring

Merchant sub category.

items.merchant.category_codestring

Merchant category code.

items.merchant.citystring

Merchant city.

items.merchant.countrystring

Merchant country. Note: this field might prefixed with state name for some countries, e.g. TXUSA, you should parse the last 3 characters for country code.

items.merchant.identifierstring

Unique identifier for the merchant.

items.merchant.namestring

Merchant name.

items.merchant.postcodestring

Merchant postcode (only for merchants within the US, Canada or Brazil).

items.merchant.statestring

Merchant state (only for merchants within the US, Canada or Brazil).

items.network_transaction_idstring

The transaction unique identifier from VISA network.

items.posted_datestring

Date transaction posted .

items.retrieval_refstring

Transaction retrieval reference number. Data element 37 of an financial transaction message (https://en.wikipedia.org/wiki/ISO_8583).

items.risk_detailsobject

Risk details provides a comprehensive overview of the risk evaluation for a card transaction, including identified risk factors, actions taken by the risk engine, and the outcome of the 3D Secure authentication process. It encapsulates key elements that assess the potential threat level, safeguard the transaction, and ensure the cardholder’s identity is verified. N.b. this information will only be available for transactions on or after 1st Sept 2024.

items.risk_details.risk_actions_performedarray

Risk actions performed for a card transaction, triggered by rules in our risk engine.

items.risk_details.risk_factorsarray

Risk factors are conditions or variables that increase the likelihood of fraud or financial irregularities, assessed by our risk management system to determine the threat level of a transaction.

items.risk_details.three_dsecure_outcomestring

The outcome of a 3D Secure authentication process, which verifies the identity of a cardholder during an online purchase. Can be one of: ATTEMPTED, AUTHENTICATED, FAILED, NOT_APPLICABLE, NOT_REQUESTED. Learn more about 3D SecureDocs.

items.statusstring

The status of this transaction. Can be one of: APPROVED, CLEARED, EXPIRED, FAILED, PENDING, REVERSED.

items.transaction_amountnumber

Transaction amount.

items.transaction_currencystring

Transaction currency.

items.transaction_datestring

Transaction date.

items.transaction_idstring

An unique id for this authorization, a uuid.

items.transaction_typestring

Transaction type - one of AUTHORIZATION, CLEARING, REFUND, REVERSAL, ORIGINAL_CREDIT.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/transactions
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/issuing/transactions' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "acquiring_institution_identifier": "123456",
6 "auth_code": "000001",
7 "billing_amount": 100,
8 "billing_currency": "USD",
9 "card_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
10 "client_data": "Some client data",
11 "digital_wallet_token_id": "2af871b8-466e-465e-a8de-eeaac9f82392",
12 "failure_reason": "INSUFFICIENT_FUNDS",
13 "fee_details": [
14 {
15 "amount": 500,
16 "currency": "USD",
17 "type": "ATM_ACCESS_FEE"
18 }
19 ],
20 "lifecycle_id": "95ede192-3a86-461e-96d9-f51b55aae79e",
21 "masked_card_number": "************4242",
22 "matched_authorizations": [
23 "6c2dc266-09ad-4235-b61a-767c7cd6d6ea"
24 ],
25 "merchant": {
26 "additional_merchant_info": {
27 "merchant_category": "Professional Services",
28 "merchant_full_name": "Meta",
29 "merchant_logo_url": "https://example.com/merchant-logo.png",
30 "merchant_sub_category": "Advertising and Marketing"
31 },
32 "category_code": "4829",
33 "city": "San Francisco",
34 "country": "USA",
35 "identifier": "012345678910123",
36 "name": "Merchant A",
37 "postcode": "94111",
38 "state": "CA"
39 },
40 "network_transaction_id": "3951729271768745",
41 "posted_date": "2018-03-22T16:08:02+00:00",
42 "retrieval_ref": "909916088001",
43 "risk_details": {
44 "risk_actions_performed": [
45 "TRANSACTION_BLOCKED"
46 ],
47 "risk_factors": [
48 "Suspicious transaction velocity"
49 ],
50 "three_dsecure_outcome": "AUTHENTICATED"
51 },
52 "status": "APPROVED",
53 "transaction_amount": 100,
54 "transaction_currency": "USD",
55 "transaction_date": "2018-03-21T16:08:02+00:00",
56 "transaction_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
57 "transaction_type": "REFUND"
58 }
59 ]
60}
Was this section helpful?